Subject: bug#65060: 29.1.50; display_count_lines segv

From: Kai Ma <[email-masked]>
Date: Sat, 12 Aug 2023 19:56:27 +0800

> On Aug 12, 2023, at 16:41, Eli Zaretskii <[email-masked]> wrote:
> 
>> From: Kai Ma <[email-masked]>
>> Date: Sat, 12 Aug 2023 15:28:16 +0800
>> Cc: [email-masked]
>> 
>>> On Aug 12, 2023, at 14:50, Eli Zaretskii <[email-masked]> wrote:
>>> 
>>> Ping!  Can you please help me finish investigating this bug by
>>> providing the information I asked for?  Armed with that information, I
>>> think I will be able to find a solution.
>> 
>> Sorry for the late reply!
>> 
>> cursor (before do) = 0x0
>> * GPT_BYTE = 3072
>> * GAP_SIZE = 2000
>> * BEG_ADDR = 0x0
>> * current_buffer->text->beg = 0x0
>> 
>> cursor (before memchr) = 0x0
>> * GPT_BYTE = 3072
>> * GAP_SIZE = 2000
>> * BEG_ADDR = 0x0
>> * current_buffer->text->beg = 0x0
> 
> Thanks.  My guess was correct: the buffer in question was killed.
> 
> Could you please try the patch below, and see if it avoids the
> crashes?  The patch causes Emacs to signal an error when
> format-mode-line is called for a dead buffer, so if I did this
> correctly, you should see that Emacs no longer crashes, but there are
> error messages about a dead buffer in *Messages*.  If this is what
> happens, you should then take this up with the dirvish developers, and
> ask them to avoid calling format-mode-line for a killed buffer.

Thanks!  The patch prevents the crash.  I will report this to dirvish developers.